cancel
Showing results for 
Search instead for 
Did you mean: 

Installing Patch SUPEE-1533 (Warning: passthru() has been disabled for security reasons)

Installing Patch SUPEE-1533 (Warning: passthru() has been disabled for security reasons)

Hi,

 

First time user, of Magento, hope someone can help.

Just installed Magnto 1.9.1.1 and got that Critical warning message in the admin panel.

So I headed to the downloads section for some patches.

 

Are these 3 patches the main ones I should install?

PATCH_SUPEE-1533_EE_1.13.x_v1-2015-02-10-08-18-32.sh

PATCH_SUPEE-5994_CE_1.6.0.0_v1-2015-05-15-04-34-46.sh

PATCH_SUPEE-5344_CE_1.8.0.0_v1-2015-02-10-08-10-38.sh

 

-

 

For PATCH_SUPEE-1533_EE_1.13.x_v1-2015-02-10-08-18-32.sh

I renamed that to PATCH_SUPEE-1533.sh and uploaded to my Magento root directory /public_html/store

 

For PATCH_SUPEE-5994_CE_1.6.0.0_v1-2015-05-15-04-34-46.sh

I renamed that to PATCH_SUPEE-5994.sh and uploaded to my Magento root directory /public_html/store

 

For PATCH_SUPEE-5344_CE_1.8.0.0_v1-2015-02-10-08-10-38.sh

I renamed that to PATCH_SUPEE-5344.sh and uploaded to my Magento root directory /public_html/store

 

Then I created a new patch.php file in the same directory and put this in it:

 

<?php
print("<PRE>");
passthru("/bin/bash PATCH_SUPEE-1533.sh");
print("</PRE>");
echo "Done";
?>

 

When I run the patch.php I get

 

Warning:  passthru() has been disabled for security reasons in /home/wg/public_html/store/patch.php on line 3

Done

 


Could I not just over write the existing files in FTP?

 

Any tips what to do or is it installed correctly?

 

 

Thanks in advance

 

 

5 REPLIES

Re: Installing Patch SUPEE-1533 (Warning: passthru() has been disabled for security reasons)

Are you having ssh access for your Magento installation? Based on your reply I can suggest you solution based suing SSh o FTP upload..

 

Thanks

---
Problem Solved Click Accept as Solution!:Magento Community India Forum

Re: Installing Patch SUPEE-1533 (Warning: passthru() has been disabled for security reasons)

Hi,

 

I installed Magento through cPanel with scriptaculous, I didn't use ssh for anything.

I just uploaded the 3 patch sh files to Magento root with Filezilla FTP then ran the patch.php

I do have ssh access via putty but wasn't sure about that setup.

 

Is it possible the server blocked this?

 

EDIT

 

I'm about to try install all the files manually via FTP following these guides to replace all the files:

http://magentary.com/kb/install-supee-5994-without-ssh/

http://magentary.com/kb/apply-supee-5344-and-supee-1533-without-ssh/

 

EDIT

 

OK I uploaded and replaced all those files with the 3 patches above.

But I can't get that Shoplift bug tester to work http://magento.com/security-patch

 

My store admin url is: http://dg.com/store/index.php/xad0 (example)

So I put dg.com/store in the first box and /xad0 in the second box right?

 

ERROR: I could not connect to that server. Please double-check for typos.

 

I also tried dg.com/store & /store/index.php/xad0

 

An unknown error occurred. Please try again.

Re: Installing Patch SUPEE-1533 (Warning: passthru() has been disabled for security reasons)

Did this end up working out for you?  We have experienced all the same stuff you have listed here...

 

Janie

Re: Installing Patch SUPEE-1533 (Warning: passthru() has been disabled for security reasons)

Was this issue ever resolved??????

passthru() has been disabled for security reasons in /home/jewelman/public_html/patch.php on line 3

What do you do if you get this error msg??

 

Thanks  

Re: Installing Patch SUPEE-1533 (Warning: passthru() has been disabled for security reasons)

Thanks a lot for your sharing!

 

 

 

 

 

__________________________________________

Maternity Evening Dresses